Text-Osterone Help

About Text-Osterone
Thank you for choosing Text-Osterone. Text-Osterone is an extremely easy program to generate eye-popping Flash animated text effects in seconds!

Text-Osterone creates text effects to be played with the Macromedia Flash Player. The latest Flash Player can be downloaded for free from Macromedia's web site at http://www.macromedia.com.


Text-Osterone Help

System Requirements
  • Pentium processor-based PC or compatible computer
  • Windows 98/ME/2000/XP
  • 64 MB of RAM
  • 50 MB of available hard disk space
  • Internet Explorer 4.0 or higher
  • Quicktime 4.0 or higher (Choose Recommended Install)
  • Macromedia Flash Player 5.0 or higher
  • Macromedia Flash 5 or higher to view exported .fla files

The latest QuickTime can be downloaded for free from Apple's QuickTime website at http://www.quicktime.com

The latest Macromedia Flash Player can be downloaded for free from Macromedia's website at http://www.macromedia.com


Getting Started

Gettings Started
Below is a brief description and steps to start you to create text effects with Text-Osterone.

Add Text
To start using Text-Osterone you need to add a new text item by clicking on the "Add" button in the "Text" tab of the main dialog. A new text item will appear in the list with "New" as the default text.Click here for more information on Adding/Removing text items.

Select an Effect
Use the "Effects" dialog box to choose an effect to apply to the current selected text item. You may bring up the "Effects" dialog box at any time by choosing "Text Effects..." from the "Effects" menu or the toolbar.

Customize the Effect
After you have chosen an effect, you may customize the effect by setting different property values in the "Effect Properties" dialog box.You may bring up the "Effect Properties" dialog box at any time by choosing "Text Effect Properties..." from the "Effects" menu or the toolbar.

Preview the Effect
When you are ready to see what your text effect will look like, you may preview the effect by selecting "Preview Text" from the "Effects" menu or the toolbar. Click here for more information on previewing the text effects.

Export/Publish the Text Effect
When you're ready to deliver your text effect to an audience, export or publish the text effect by choosing "Export SWF..." or "Publish from the "File menu. Click here for more information on publishing the text effects.


Publish/Export

Publish/Export Text Effects
When you're ready to deliver your text effects to an audience, you must publish or export the text effect to another format for playback. Text-Osterone also allows you to export as a Macromedia Flash (.fla) file for further editing in Macromedia's Flash authoring software (Requires Flash 5 or higher).
Export SWF

Exporting the text effect will produce a Flash Movie (SWF) file. SWF movie files can be played in the Flash Player or any browser that has the Flash Player plugin installed. To export the text effect, select "Export SWF..." from the "File" menu or the toolbar.
Export FLA

Exporting the text effect will produce a Macromedia Flash (FLA) file. FLA files can be opened with Macromedia Flash authoring software version 5 or higher. To export the text effect, select "Export FLA..." from the "File" menu or the toolbar.
Publish

The "Publish" command gives you additional formats to deliver the slide show.
  • Flash Movie - a Flash Movie (SWF) file.
  • HTML - a HTML document to display the Flash Movie file.
  • Macintosh Projector - a self executable Flash movie to run on Macintosh compatible computers without the need for the Flash Player to be installed on the users computer.
  • Windows Projetor - a self executable Flash movie to run on Microsoft Windows compatible computers without the need for the Flash Player to be installed on the users computer.
  • QuickTime - a QuickTime movie file with the Flash movie inserted onto a separate QuickTime track.
To publish the text effect, select "Publish" from the "File" menu. Before publishing the first time, you should choose "Publish Settings..." from the "File menu to choose which formats to publish and their settings.
Publish Settings

The "Publish Settings" allow you to specify which formats to publish and their settings.

Click "OK" to save the current publish settings and close the Publish Settings dialog box.
Click "Cancel" to close the Publish Settings dialog box without saving the current settings.
Click "Publish" to save the current publish settings and publish the specified formats.

Formats

The "Output To" displays the path where all published files will be saved to on disk. Click the "Browse" button to specify a different location.
Check the boxes for the format "Types" you want to publish and enter the "Filename" for the file.

HTML

  • "Dimensions"
  • "Playback" allows you to set options to control the movie's playback and features
    • "Paused at start" pauses the movie until a user click a button in the movie or chooses Play from the shortcut menu.
    • "Loop" repeats the movie when it reaches the last frame.
    • "Display Menu" displays a shortcut menu when the user right-clicks (Control + click) the movie.
    • "Device Font" will substitute anti-aliased system fonts for fonts not installed on the user's system. Using device fonts increases the legibility of type at small sizes and can decrease the movie's file size.
  • "Quality" will set the playback quality to determine the trade-off between processing time and applying anti-aliasing to smooth each frame before it is rendered on the viewer's screen.
    • "Low" favors playback speed over appearance and does not use anti-aliasing.
    • "Auto Low" emphasizes speed at first but improves appearance whenever possible. Playback begins with anti-aliasing turned off. If the Flash Player detects that the processor can handle it, anti-aliasing is turned on.
    • "Auto High" emphasizes playback speed and appearance equally at first but sacrifices appearance for playback speed if necessary. Playback begins with anti-aliasing turned on. If the actual frame rate drops below the specified frame rate, anti-aliasing is turned off to improve playback speed.
    • "Medium" applies some anti-aliasing, but does not smooth bitmaps. It produces a better quality than the Low settings, but lower quality that the High settings.
    • "High" favors appearance over playback speed and always uses anti-aliasing. If the movie does not contain animation, bitmaps are smoothed. If the movie has animation, bitmaps are not smoothed.
    • "Best" provides the best display quality and does not consider playback speed. All output is anti-aliased and bitmaps are always smoothed.
  • "Window Mode" allows you to set options for transparency, positioning, and layering of the Flash movie. This option is not compatible with all browsers.
    • "Window" plays a Flash Player movie in its own rectangular window on a web page, for the fastest animation.
    • "Opaque Windowless" moves elements behind Flash movies to prevent them from showing through
    • "Transparent Windowless" shows the background of the HTML page on which the movie is embedded through all transparent areas of the movie, but may slow animation.
  • "HTML Alignment" allows you to position the Flash movie window within the browser window.
    • "Default" centers the movie in the browser window and crops edges if the browser window is smaller than the movie.
    • "Left, Right, Top, Bottom" aligns the movie along the corresponding edge of the browser window and crops the remaining three sides as needed.
  • "Scale" allows you to place the movie within specified boundaries.
    • "Default (Show All)" displays the entire movie in the specified area without disortion while maintaining the original aspect ratio of the movie.
    • "No Border" scales the movie to fill the specified area and keeps the movie's original aspect ratio without distortion and crops if needed.
    • "Exact Fit" displays the entire movie in the specified area without preserving the original aspect ratio, which may cause distortion.
  • "Flash Alignment" allows you to set how the movie is placed within the movie window and how it is cropped, if necessary.
    • "Left, Center, Right" are used for horizontal alignment.
    • "Top, Center, Bottom" are used for vertical alignment.

QuickTime

  • "Dimensions" are the width and height in pixels for the QuickTime movie to be published. Check the "Match Movie" box to make the QuickTime movie the same size as the slide show.
  • "Alpha" allows you to control the transparency mode of the Flash track in the QuickTime movie without affecting any alpha settings in the Flash movie.
    • "None" makes the Flash track opaque.
    • "Auto-Transparency" makes the Flash track transparent if it is on top of any other tracks, but opaque if it is the bottom or only track in the movie.
  • "Controller" allows you to specify the type of QuickTime controller used to play the movie.
    • "None" does not add a QuickTime controller.
    • "Standard" adds the standard QuickTime movie controller to the movie.
  • "Playback" options allow you to control how the QuickTime movie plays.
    • "Loop" repeats the movie when it reaches the last frame.
    • "Paused at start" pauses the movie until a user clicks a button in the movie or chooses Play from the shortcut menu.
  • "Flatten (Make self-contained) combines the resource fork and data fork data. Use this option if you want to use the QuickTime movie file between a Macintosh and Windows PC.


Save/Load

Save/Load Text Effects
Saving

You can save the settings for your text effects to a Text-Osterone Project file (.txo) by choosing "Save Project" or "Save Project As..." from the "File" menu or toolbar. To overwrite the current project file, choose "Save Project". To save the file in a different location or with a different name, choose "Save Project As...".

Please note that the project file does not save any images or sounds used in the text effects into the project file. If you move or delete any of the files used in the text effects, Text-Osterone will not be able to re-create the text effect.
Loading

You can load and previously saved Text-Osterone Project file (.txo) by choosing "Open Project" from the "File" menu or toolbar.


Text-Osterone

The Text-Osterone dialog is the main window of the program which shows all the text items currently added to the project.

Toolbar

  • "New Project" clears all of the current settings and text items to start a new project.
  • "Open Project" prompts you to choose a previously saved project (.txo) to load.
  • "Save Project" saves all of the current settings to a project file (.txo). If you working off of a previously loaded project, the old project file will be overwritten with the current settings. Otherwise you will be prompted to choose a new file to save the project to.
  • "Text Effects List" will display the Text Effects dialog box to show all of the available text effects.
  • "Effect Properties" will display the Effect Properties dialog box for the current selected text effect.
  • "Preview All Text" will generate a temporary SWF file of the output for all of the text items for previewing.
  • "Preview Selected Text" will generate a temporary SWF file for the current selected text item for previewing.
  • "Export SWF" will export the text effects as a SWF file to a specified location..
  • "Export FLA" will export the text effects as a FLA file to a specified location.
  • "Help" will launch the help file.


Text

Text-Osterone Properties - Text
The Text tab allows you to add text.

Text

All the text items for the text effects will be displayed in this list. If you wish to add a new text item, click the "Add" button. All new text items added will have "New" as the default text, but you may change this in the "Properties" area. Click the "Remove" button to remove the selected text item from the list.You may preview the currently selected text item by clicking the "Preview" button. You may preview all the text items in the list by clicking the "Preview All" button.
Properties

The properties for the currently selected text item from the list will be displayed here. Enter the text to display for the text item. You can choose the font, style and size by clicking on the font button.

Click on the "Color" button to choose a color for the text.

You can enter an "Alpha" value for the text. A value of 255 will be 100% opaque, while a value of 0 will be 100% transparent (invisible).

You can choose where the text will be displayed by entering in values for the "X" and "Y" fields. The top left corner of the document is (0,0). If you want to justify the text, select either the Left/Center/Right "Align" button and either the Top/Center/Bottom "Align" button. If the "Align to document" is checked, the text will be aligned relative to the document dimensions. Otherwise, the text will be aligned relative to the "X" and "Y" values.

"Tracking" is the number of additional pixels to add between each letter.

"Leading" is the number of additional pixels to add between each line of text.

You may rotate the entire effect by choosing the "Rotate" or "Skew" radio button and entering in the desired angle to rotate the text effect.

"Start Time" is the number of seconds to wait before showing the text effect.

"Ext. Duration" is the number of additional seconds to show the text after it has completed animating.

You can choose to loop the text effect any number of times by choosing the appropritate Loop radio button.
  • "Play Once" will play the entire text effect and stop after the animation has completed.
  • "Loop" will repeat the text effect the desired number of times and then stop.
  • "Play Forever" will continually play the entire text effect.


Document

Text-Osterone Properties - Document
The Document tab allows you to customize the attributes of the Flash movie and general appearance of the text effects.

Document

You can set the size in pixels of the Flash movie by settings the "Width" and "Height" values. Large sizes may result in decreased performance on slower computers.

You can set the frame rate of the Flash movie by settings the "Frame Rate" value. Higher frame rates will result in smoother animation, but may result in decreased performance on slower computers. Common frame rates are as follows:
  • Web - 8 to 15 fps
  • Standard Motion Picture - 24 fps
  • NTSC - 29.97 fps
  • PAL - 25 fps
Background

You can select the color to use as the background color by clicking on the "Background Color" button. A color picker dialog box will appear where you may choose a new color.

You may also choose to display an image in the background. Click the "Browse..." button to choose an image file to use. You may set the width and height of the area to display the chosen image. If "Scale to fit slide show" is chosen, the image will fill the entire background of the document. If "Tile" is chosen, the image will repeat itself to fill the desired area. If "Tile" is not chosen, the image will stretch to fit the desired area. You may also set the quality to compress the image at. A value of 100 is the highest quality and largest file size, while a value of 1 is the lowest quality and smallest file size.


Actions

Text-Osterone Properties - Actions
The Actions tab allows you to customize the playback of the text effects.

Movie Start Action

The "Movie Start Action" option allows you to choose an action when the text effect starts.

  • "Play Automatically" will start playing as soon as it is loaded into the Macromedia Flash Player.
  • "Play after Pause" will start playing the desired number of seconds has elapsed.
  • "Stop on First Frame" will load the text effects into the Macromedia Flash Player and then stop until there is user interaction to continue playing the text effects. One method to resume playback when this option is chosen is to target the text effect SWF from an external SWF and resume playback via actionscript. You may also right click ( Control + click) to bring up the Flash popup menu and select "Play" to resume playback of the text effects.
Loop

The "Loop" option allows you to choose the number of consecutive times the text effects will play.

  • "Play Once" will play the entire text effects and stop after all the text items have completed.
  • "Loop" will repeat the text effects the desired number of times and then stop.
  • "Play Forever" will continually play the entire text effects.
Mouse Click Action

The "Mouse Click Action" option allows you to specify an action to take when the user mouse clicks the Macromedia Flash Player while the text effects areplaying.

  • "Get URL" will open the specified URL in a browser. In the "URL/Path" field, insert the URL you want to open when the user mouse clicks the Macromedia Flash Player. In the "Target Window" field, enter the target the URL should be loaded into.
    • "_blank" creates a new browser window and loads the URL into it.
    • "_parent" remove the current frameset and loads the URL in its place. Use this option if you have multiple nested framesets, and you want your URL to replace only the frameset in which your movie resides.
    • "_self" loads the URL into the same frame or window as the current movie.
    • "_top" loads the URL into the current browser and removes all framesets in the process. Use this option if your movie is in a frame, but you want your linked URL to load normally into the browser, outside the confines of any frames.
  • "Load SWF" will open the specified SWF movie in the same player when the user mouse clicks in the Flash Player while the movie is playing. The path should be a relative path from the text effect SWF file.
Movie End Action

The "Movie End Action" option allows you to specify an action to take when the text effects end.

  • "Get URL" will open the specified URL in a browser. In the "URL/Path" field, insert the URL you want to open when the text effects end. In the "Target Window" field, enter the target the URL should be loaded into.
    • "_blank" creates a new browser window and loads the URL into it.
    • "_parent" remove the current frameset and loads the URL in its place. Use this option if you have multiple nested framesets, and you want your URL to replace only the frameset in which your movie resides.
    • "_self" loads the URL into the same frame or window as the current movie.
    • "_top" loads the URL into the current browser and removes all framesets in the process. Use this option if your movie is in a frame, but you want your linked URL to load normally into the browser, outside the confines of any frames.
  • "Load SWF" will open the specified SWF movie in the same player when the text effects end. The path should be a relative path from the text effect SWF file.
  • "Unload Text Effect SWF" will cause the Flash Player to unload the text effects from the player when it ends. This option causes the SWF file to be removed from RAM.


FAQ

Frequently Asked Questions
What is a SWF file?
The Macromedia Flash file format (SWF) (pronounced "swiff") delivers vector graphics and animation over the Internet to the Macromedia Flash Player.

What is a FLA file?
The Macromedia Flash editor document file format (.fla) to be used in Macromedia's Flash autohring software. SWF files are exported from FLA files using the Macromedia Flash application

What platforms are supported for Macromedia Flash playback?
Macintosh OS 9.x, OS 10.x
Windows 98, ME, 2000, XP

How many people have the Macromedia Flash Player installed?
The Macromedia Flash Player is installed on 97% of Internet-enabled desktops worldwide and on a wide range of popular devices.

Text-Osterone won't run or start up.

Check to see if you have all of the current system requirements to run the program.
* Update your Macromedia Flash Player. The latest Flash Player can be downloaded for free from Macromedia's web site at http://www.macromedia.com.
* Update yoru QuickTime to the latest version. The latest Apple QuickTime can be downloaded for free from Apple's QuickTime web site at http://www.quicktime.com. When installing QuickTime, choose the "Recommended Installation" option.

What version of the Flash Player are the SWF file exported from Text-Osterone compatible with?
Text-Osterone creates SWF files that are compatible with the Flash Player version 5 and up. If you are publishing Projector files, the Flash Player is not needed since the player is already a part of the Projector file.

What version of the Macromedia Flash are the FLA file exported from Text-Osterone compatible with?
Text-Osterone creates FLA files that are compatible with Macromedia Flash version 5 and up (Flash 5/MX/MX 2004)


SWF 'n Slide Help

Contact Us
E-mail:
support@verticalmoon.com

Web:
http://www.verticalmoon.com/support